Index: tools/cpu/nios2/bridges.c
===================================================================
--- tools/cpu/nios2/bridges.c	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/bridges.c	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -13,5 +13,5 @@
 
 /* This part of the program builds a list with pairs of bus
-   master port names (each is "device name/master port name"). 
+   master port names (each is "device name/master port name").
    It is then possible to find if a given master is actually
    available under a different master port name through bridges.
@@ -22,5 +22,5 @@
    tristate_bridge_0 itself is slave of cpu0/data_master, the
    bridge information would be stored as this bus_bridge_pair:
-      mastered_by = "cpu0/data_master" and 
+      mastered_by = "cpu0/data_master" and
       bridges_to = "tristate_bridge_0/tristate_master".
    That allows to deduce that SRAM is actually mastered by
@@ -37,6 +37,6 @@
 
 int is_bridged(
-  char *cpu_master, 
-  char *dev_master, 
+  char *cpu_master,
+  char *dev_master,
   bus_bridge_pair *bridges)
 {
@@ -48,5 +48,5 @@
   for(bbp = bridges; bbp != NULL; bbp=bbp->next)
   {
-    if(strcmp(cpu_master, bbp->mastered_by) == 0 && 
+    if(strcmp(cpu_master, bbp->mastered_by) == 0 &&
        is_bridged(bbp->bridges_to, dev_master, bridges))
     {
Index: tools/cpu/nios2/bridges.h
===================================================================
--- tools/cpu/nios2/bridges.h	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/bridges.h	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -23,6 +23,6 @@
 
 int is_bridged(
-  char *cpu_master, 
-  char *dev_master, 
+  char *cpu_master,
+  char *dev_master,
   bus_bridge_pair *bridges);
 
Index: tools/cpu/nios2/clocks.c
===================================================================
--- tools/cpu/nios2/clocks.c	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/clocks.c	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -52,5 +52,5 @@
     struct ptf named     = { item, 0, 0, 0, 0 };
     struct ptf_item clk_cfg = { 2, &all, &named };
-  
+
     clocks = NULL;
     ptf_match(sopc, &clk_spec, add_clock_spec, &clocks);
Index: tools/cpu/nios2/devices.c
===================================================================
--- tools/cpu/nios2/devices.c	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/devices.c	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -66,7 +66,7 @@
 
 device_desc *find_devices(
-  struct ptf *ptf, 
-  struct ptf *cfg, 
-  struct ptf *cpu, 
+  struct ptf *ptf,
+  struct ptf *cfg,
+  struct ptf *cpu,
   bus_bridge_pair *bridges)
 {
Index: tools/cpu/nios2/devices.h
===================================================================
--- tools/cpu/nios2/devices.h	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/devices.h	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -15,5 +15,5 @@
 #include "bridges.h"
 
-typedef struct dev_descr 
+typedef struct dev_descr
 {
   int slaves;
@@ -25,7 +25,7 @@
 
 device_desc *find_devices(
-  struct ptf *ptf, 
-  struct ptf *cfg, 
-  struct ptf *cpu, 
+  struct ptf *ptf,
+  struct ptf *cfg,
+  struct ptf *cpu,
   bus_bridge_pair *bridges);
 
Index: tools/cpu/nios2/linkcmds.c
===================================================================
--- tools/cpu/nios2/linkcmds.c	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/linkcmds.c	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -113,5 +113,5 @@
     fprintf(file, "    %s : ORIGIN = 0x%08X, LENGTH = 0x%08X\n", tmd->dev->cfgname, tmd->base, tmd->size);
   }
- 
+
 
   fprintf(file, "}\n\n");
@@ -120,3 +120,3 @@
 }
 
- 
+
Index: tools/cpu/nios2/memory.c
===================================================================
--- tools/cpu/nios2/memory.c	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/memory.c	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -73,5 +73,5 @@
             tmd->dev = dd;
 
-            if(memory == NULL) 
+            if(memory == NULL)
             {
               tmd->next = NULL;
@@ -80,5 +80,5 @@
             else
             {
-              if(tmd->size > memory->size) 
+              if(tmd->size > memory->size)
               {
                 tmd->next = memory;
@@ -102,3 +102,3 @@
 }
 
- 
+
Index: tools/cpu/nios2/nios2gen.c
===================================================================
--- tools/cpu/nios2/nios2gen.c	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/nios2gen.c	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -183,5 +183,5 @@
         break;
 
-      case 'L': /* Do not output linker script */ 
+      case 'L': /* Do not output linker script */
         output_linkcmds = 0;
         break;
@@ -242,5 +242,5 @@
         return -1;
       };
-  
+
       if(verbose) printf("Successfully read config PTF file %s.\n", argv[optind]);
 
@@ -291,5 +291,5 @@
         fprintf(stderr, "The available CPUs are named as follows:\n");
         ptf_match(sopc, &class_spec, printf_ptf_value, "  %s\n");
-        return -1;  
+        return -1;
       };
 
@@ -297,10 +297,10 @@
       {
         fprintf(stderr, "There is no NIOS2 cpu in the system.\n");
-        return -1;  
+        return -1;
       }
     };
 
     if(verbose)
-    { 
+    {
       printf("Using NIOS II CPU '%s'.\n", cpu->value);
       printf("Only modules mastered by this CPU are considered now.\n");
@@ -383,5 +383,5 @@
 
     memory = find_memory(devices);
-    
+
     if(verbose)
     {
Index: tools/cpu/nios2/output.c
===================================================================
--- tools/cpu/nios2/output.c	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/output.c	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -92,5 +92,5 @@
   else
   {
-    fprintf(dinfo->file, "#define %s_%s %s\n", 
+    fprintf(dinfo->file, "#define %s_%s %s\n",
       dinfo->dev->cfgname, dinfo->orig_value,
       pi->item[pi->level]->value);
@@ -110,5 +110,5 @@
   f = ptf_find(pi->item[pi->level]->sub, &fi, item, 0, 0);
 
-  while(f != NULL) 
+  while(f != NULL)
   {
     dinfo->orig_value = f->value;
@@ -193,3 +193,3 @@
 }
 
- 
+
Index: tools/cpu/nios2/ptf.c
===================================================================
--- tools/cpu/nios2/ptf.c	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/ptf.c	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -53,5 +53,5 @@
     more_section_name_chars,
     more_item_value_chars,
-  } expectation; 
+  } expectation;
 };
 
@@ -241,5 +241,5 @@
 
       if(is_not_quoted && c == '}')
-      { 
+      {
         parser_event = section_closed;
       }
@@ -470,5 +470,5 @@
   f = fopen(filename, "r");
   if(f == NULL)
-  { 
+  {
     perror(filename);
     return NULL;
@@ -687,5 +687,5 @@
           if(strcmp(leaf->value, value) == 0) return 0; /* got it */
         }
-      } 
+      }
       else if(leaf->name != NULL)
       {
@@ -713,5 +713,5 @@
 
 struct ptf *ptf_find(
-  struct ptf *tree, 
+  struct ptf *tree,
   struct ptf_item *item,
   ptf_item_type ttype,
@@ -765,6 +765,6 @@
 int ptf_match(
   struct ptf *const ptf,
-  struct ptf_item *const match, 
-  const ptf_match_action action, 
+  struct ptf_item *const match,
+  const ptf_match_action action,
   void *arg)
 {
@@ -789,5 +789,5 @@
 
         if(mtype == p->type &&
-           (mname==NULL || p->name==NULL || strcmp(mname, p->name)==0) && 
+           (mname==NULL || p->name==NULL || strcmp(mname, p->name)==0) &&
            (mvalue==NULL || p->value==NULL || strcmp(mvalue, p->value)==0))
         {
Index: tools/cpu/nios2/ptf.h
===================================================================
--- tools/cpu/nios2/ptf.h	(revision 37b1a9468dd2eb92377de884b467b58b92d78a67)
+++ tools/cpu/nios2/ptf.h	(revision 5f5f681b69f255f6b94e54fa73978e5f9644108c)
@@ -47,20 +47,20 @@
 
 struct ptf *ptf_find(
-  struct ptf *tree, 
-  struct ptf_item *item, 
+  struct ptf *tree,
+  struct ptf_item *item,
   ptf_item_type ttype,
-  char *name, 
+  char *name,
   char *value);
 
 struct ptf *ptf_next(
-  struct ptf_item *item, 
+  struct ptf_item *item,
   ptf_item_type ttype,
-  char *name, 
+  char *name,
   char *value);
 
 int ptf_match(
   struct ptf *const ptf,
-  struct ptf_item *const match, 
-  const ptf_match_action action, 
+  struct ptf_item *const match,
+  const ptf_match_action action,
   void *arg);
 
